<?php
    
    global $tpl , $db , $page , $error;

    $waga = wagi::get( core::$i->id );
    
    if( $waga )
    {
        if( core::POST() )
        {
            wagi::edit( $_REQUEST , core::$i->id );
        }
        
        $waga = wagi::get( core::$i->id );
    
        $tpl->assign(array(
            'data' => $waga
        ));
        
        admin::$i->on();
    } 
    else 
    {
        core::page404();   
    }
?>